Sidef::Types::Regex::Regex(3)

NAME
Sidef::Types::Regex::Regex

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Regex(...)

INHERITS
Inherits methods from:

       * Sidef::Object::Object

METHODS

  +
    a + b

Returns the

Aliases: add, concat

  <
    a < b

Returns the

Aliases: lt

  <=>
    a <=> b

Returns the

Aliases: cmp

  ==
    a == b

Returns the

Aliases: eq

  =~
    a =~ b

Returns the

Aliases: run, match

  >
    a > b

Returns the

Aliases: gt

  |
    a | b

Returns the

Aliases: union

  ≠
    a ≠ b

Returns the

Aliases: !=, ne

  ≤
    a ≤ b

Returns the

Aliases: <=, le

  ≥
    a ≥ b

Returns the

Aliases: >=, ge

  call
    Regex.call()

Returns the

  gmatch
    Regex.gmatch()

Returns the

Aliases: global_match

  gmatches
    Regex.gmatches()

Returns the

Aliases: all_matches, map_matches, global_matches, repeated_match

  to_re
    Regex.to_re()

Returns the

Aliases: to_regex

  to_s
    Regex.to_s()

Returns the

Aliases: dump, to_str